import React from 'react';
import SearchBar from '../components/SearchBar';
import { Button } from 'react-bootstrap';
import DatabaseFilter from '../components/DatabaseFilter';
import CreatorList from '../components/CreatorList';

export default function PrivateCreator({ path }) {
	
    return (
			<React.Fragment>
			<div className='function-bar'>
					<SearchBar />
					<Button>+ Add to Campaign</Button>
			</div>
			<div className='breadcrumb'>
					<div className='breadcrumb-item'>Private Creators</div>
					{path === 'tiktok' && <div className='breadcrumb-item'>TikTok</div>}
					{path === 'instagram' && <div className='breadcrumb-item'>Instagram</div>}
					{path === 'youtube' && <div className='breadcrumb-item'>YouTube</div>}
			</div>
			<DatabaseFilter path={path} pageType={'private'} />
			<CreatorList path={path} pageType={'private'} />
	</React.Fragment>
    );
}
