import { defineConfig } from 'vite';
import react from '@vitejs/plugin-react';
import path from 'path';

// https://vite.dev/config/
export default defineConfig({
    plugins: [react()],
    resolve: {
        alias: {
            '@': path.resolve(__dirname, './src'),
        },
    },
    css: {
        preprocessorOptions: {
            scss: {
                quietDeps: true,
                outputStyle: 'compressed',
            },
        },
        devSourcemap: false,
    },
    build: {
        cssCodeSplit: false,
        minify: true,
    },
});
